# MastercardMerchantOnboarding
  Masterpass™ is Mastercard’s integrated digital wallet and checkout solution.
  MastercardMerchantOnboarding allows to onboard a single merchant to Masterpass™ in real time.
  It can be used to complete the following tasks:
  
• Add an individual merchant to Masterpass.

• Update an individual, existing Masterpass merchant record.

• Delete an individual merchant record from Masterpass.

  Masterpass then provides a real-time response to the API.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'mastercard_merchant_onboarding'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install mastercard_merchant_onboarding

## Copyright
Copyright (c) 2018, Mastercard International Incorporated. See LICENSE for details.

## LICENSE
Copyright (c) 2018, Mastercard International Incorporated. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are 
permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice, this list of 
conditions and the following disclaimer.
Redistributions in binary form must reproduce the above copyright notice, this list of 
conditions and the following disclaimer in the documentation and/or other materials 
provided with the distribution.
Neither the name of the Mastercard International Incorporated nor the names of its 
contributors may be used to endorse or promote products derived from this software 
without specific prior written permission.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT 
SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
SUCH DAMAGE.